.baihe_case {
    padding: var(--component-gap-sm) 0;
    position: relative;
}

.baihe_case_title {
    text-align: center;
    font-size: var(--title-size-h2);
    font-weight: 700;
    line-height: 1.5;
    text-align: center;
    color: var(--title-text-color);
    text-transform: uppercase;
}

.baihe_case_title b {
    color: var(--color-primary);
}

.baihe_case_desc {
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    text-align: center;
    color: var(--text-color);
    max-width: 80%;
    margin: 0 auto;
}

.baihe_case_nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
    margin-top: var(--component-gap);
}

.baihe_case_nav a {
    padding: 10px 22px;
    border-radius: 50px;
    background: var(--color-primary);
    color: #FFF;
    font-size: var(--text-title-size);
    font-weight: 500;
    font-family: var(--font-medium-family);
    line-height: 1.5;
}

.baihe_case_nav .baihe_case_nav-card.selected a {
    background: var(--color-second);
}

.baihe_case_list {
    margin-top: var(--component-gap);
}

.baihe_case_list .case-group {
    display: grid;
    grid-template-columns: 32% 32% 32%;
    grid-auto-rows: auto;
    gap: 20px;
    margin: 0 auto;
}

.baihe_case_list .baihe_case_item {
    position: relative;
    overflow: hidden;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.4s ease, transform 0.4s ease;
}

.baihe_case_list .baihe_case_item .baihe_case_item_content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 20px;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.1) 0%, rgba(255, 255, 255, 0.30) 100%);
    backdrop-filter: blur(15px);
    display: none;
    padding: 57px 40px;
    flex-direction: column;
    justify-content: flex-end;
}

.baihe_case_list .baihe_case_item:hover .baihe_case_item_content {
    display: flex;
    cursor: pointer;
}

.baihe_case_list .baihe_case_item .baihe_case_item_content .baihe_case_item_title {
    position: relative;
    animation: fadeIn 0.5s;
}
.baihe_case_list .baihe_btn {
        margin-top: 47px;
}
.baihe_case_list .baihe_case_item .baihe_case_item_content .baihe_case_item_title span {
    display: block;
    color: #FFF;
    font-size: var(--title-size-h5);
    font-weight: 500;
    font-family: var(--font-medium-family);
    line-height: 1.5;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    animation: fadeIn 0.5s;

  
}

.baihe_case_list .baihe_case_item .contury_name {
    color: var(--color-second);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    animation: fadeIn 0.5s;
}

.baihe_case_list .baihe_case_item .baihe_case_item_content .baihe_case_item_title::before {
    content: '';
    position: absolute;
    bottom: -10px;
    left: 0;
    width: 30px;
    height: 3px;
    background: var(--color-second);
    border-radius: 3px;
    animation: fadeIn 0.5s;
}

.baihe_case_list .baihe_case_item .baihe_case_item_content .baihe_case_item_desc {
    color: #FFF;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 26px;
    height: calc(var(--text-size) * 1.625 * 2);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    animation: fadeIn 0.5s;
}


.baihe_case_list .baihe_case_item.is-visible {
    opacity: 1;
    transform: translateY(0);
}

.baihe_case_list .baihe_case_item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 20px;
    transition: transform 0.3s ease;
}

.baihe_case_list .baihe_case_item:nth-child(5n + 1) {
    grid-column: 1 / 3;
    aspect-ratio: 993/500;
}

.baihe_case_list .baihe_case_item:nth-child(5n + 2) {
    grid-column: 3 / 4;
    aspect-ratio: 485/350;
}

.baihe_case_list .baihe_case_item:nth-child(5n + 3) {
    grid-column: 1 / 2;
    aspect-ratio: 485/350;
}

.baihe_case_list .baihe_case_item:nth-child(5n + 4) {
    grid-column: 2 / 3;
    aspect-ratio: 485/350;
}

.baihe_case_list .baihe_case_item:nth-child(5n) {
    grid-column: 3 / 4;
    aspect-ratio: 485/508;
    margin-top: -158px;
}

.baihe_case_list {
    position: relative;
}

.baihe_case .swiper-button-prev,
.baihe_case .swiper-button-next {
    top: 59% !important;
    color: var(--color-primary);
}

.baihe_case .swiper-button-next {
    right: 100px !important;
}

.baihe_case .swiper-button-prev {
    left: 100px !important;
}

.baihe_case .swiper-button-next,
.baihe_case .swiper-button-prev {
    width: 46px !important;
    height: 46px !important;
    padding: 0 !important;
    background: rgba(242, 177, 75, 0.15) !important;
    border-radius: 50% !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    font-size: 20px !important;
    color: var(--color-second) !important;
}

.baihe_case .swiper-button-next:after,
.baihe_case .swiper-button-prev:after {
    font-size: 16px !important;
    font-weight: 700 !important;
}

.baihe_case .swiper-button-next:hover,
.baihe_case .swiper-button-prev:hover {
    background: var(--color-second) !important;
    color: #fff !important;
}

.baihe_case .swiper-button-next:hover:after,
.baihe_case .swiper-button-prev:hover:after {
    color: #fff !important;
}

@media screen and (max-width: 1800px){
    .baihe_case .swiper-button-next {
    right: 20px !important;
}

.baihe_case .swiper-button-prev {
    left: 20px !important;
}
}

@media screen and (max-width: 1500px) {
    .baihe_case_list .baihe_case_item:nth-child(5n) {
        margin-top: -130px;
    }

    .baihe_case_list .baihe_case_item .baihe_case_item_content {
        padding: 30px 20px;
    }

    .baihe_case_list .baihe_btn {
        margin-top: 20px;
    }
}

@media screen and (max-width: 1280px) {
    .baihe_case_list .baihe_case_item:nth-child(5n) {
        margin-top: -125px;
    }
}

@media screen and (max-width: 1200px) {
    .baihe_case_list .baihe_case_item:nth-child(5n) {
        margin-top: -97px;
    }

    .baihe_case_list .baihe_case_item .baihe_case_item_content {
        padding: 20px 20px;
    }

    .baihe_case_list .baihe_case_item .baihe_case_item_content .baihe_case_item_desc {
        margin-top: 16px;
    }
        .baihe_case_nav a {
        text-align: center;
        display: block;
        width: 315px;
        padding: 10px 16px;
    }
    
    .baihe_case_nav {
        gap: 28px;
    }




}

@media screen and (max-width: 992px) {
    .baihe_case_nav {
        gap: 20px;
    }

    .baihe_case_list .baihe_case_item .baihe_case_item_content .baihe_case_item_desc {
        display: block;
    }

    .baihe_case_desc {
        max-width: 100%;
    }

  .baihe_case_nav a {
        text-align: center;
        display: block;
        width: 280px;
        padding: 10px 16px;
    }
    .baihe_case_list .case-group {
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
    }

    .baihe_case_list .baihe_case_item:nth-child(5n + 1) {
        width: 100%;
    }

    .baihe_case_list .baihe_case_item:nth-child(5n + 2) {
        width: calc(50% - 5px);
    }

    .baihe_case_list .baihe_case_item:nth-child(5n + 3) {
        width: calc(50% - 5px);
    }

    .baihe_case_list .baihe_case_item:nth-child(5n + 4) {
        width: calc(50% - 5px);
    }

    .baihe_case_list .baihe_case_item:nth-child(5n) {
        width: calc(50% - 5px);
    }

    .baihe_case .swiper-button-next,
    .baihe_case .swiper-button-prev {
        display: none !important;
    }

    .baihe_case_list .baihe_case_item:nth-child(5n) {
        grid-column: 3 / 4;
        aspect-ratio: 485/350;
        margin-top: 0;
    }
}

@media screen and (max-width: 768px) {
    .baihe_case_list .baihe_case_item .baihe_case_item_content {
        padding: 15px 10px;
    }


    .baihe_case_list .baihe_case_item .baihe_case_item_content .baihe_case_item_title span {
        font-size: 14px;
    }
}

@media screen and (max-width: 480px) {

    .baihe_case_list .baihe_case_item .baihe_case_item_content .baihe_case_item_desc {
        display: none;
    }

    .baihe_case_list .baihe_btn {
        margin-top: 20px;
    }

    .baihe_btn a i {
        width: 25px;
        height: 25px;
    }
}